tt_products 2.6.3 typo3 4.4.4 keine anzeige im Frontend

  • pleo pleo
    T3PO
    0 x
    16 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 10:34

    Hallo ;-)

    ich habe folgende Konstellation:

    tt_products 2.6.3 & typo3 4.4.4.
    php version 5.3.3

    Abhängige Ext. installiert. (div2007,table,tsparser)
    pageAsCategory = 2
    Habe auf einer Seite ein Produkt (und zur Sicherheit auch eine Kategorie) angelegt.
    Im Root-template habe ich die CSS-styled-Statics eingebunden.
    Auf der Seite mit dem Beispiel Produkt (und der Kategorie) ein Plugin mit LIST-View angelegt.
    Als Ausgangspunktdiese diese Seite angegeben.
    Im Frontend erscheint rein gar nichts! Das standard Beispieltemplate sollte zumindest irgendwas ausgeben oder?
    ...
    <div class="tt-products">
    <div id="tx-ttproducts-pi1-list"></div>
    </div>
    ...

    Hat irgendwer eine Idee oder ähnliche Probleme?


  • 1
  • typo666 typo666
    T3PO
    0 x
    12 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 11:03

    1) Was sind abhängige Extensions? Du meinst wohl notwendige: tsparser ist keine notwendige Extension für tt_products.
    2) Was ist CSS-styled-Statics? Meinst du nicht CSS Styled Content? Wenn ja: Wenn das alles ist was du eingebunden hast, dann musst du am selben Ort noch [b]Shop System Old Style (tt_products)[/b] auswählen.

  • pleo pleo
    T3PO
    0 x
    16 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 11:14

    1) Ich meine die dafür notwendigen ja;-) Aber laut tt_products 2.6.3 ist tsparser notwendig!
    (Abhängig von: cms,div2007,table,tsparser)
    2)ja ich meine Shop System CSS Style (tt_products) was ich auch tat;-) (auch wenn ich Shop System Old Style (tt_products) benutze funktioniert es nicht)

    Ich habe schon oft mit tt_products 2.6.1 gearbeitet und TYPO3 4.2.x da lief immer alles einwandfrei.
    Deswegen verstehe ich das nun nicht ganz.
    Leider kann ich bei der TYPO3 4.4.4 (PHP 5.3.3) keine jüngere tt_products Version verwenden, da dort Funktionen verwandt werden die in PHP 5.3.3 nicht mehr vorhanden sind.

  • typo666 typo666
    T3PO
    0 x
    12 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 11:37

    Also im Manual zu 2.6.3 (das allerdings absurderweise für 2.6.1 ist#angry#) kommt das Wort tsparser gar nicht vor. Woher hast du die Info? Bei mir funzt tt_products 2.6.3 ohne tsparser (auf 4.3.0). Und was ist cms?

    Hast du mal das 4-teilige [url=http://www.thomas-hirt.at/blog/detailansicht/datum/2009/11/09/typo3-shop-mit-tt-products-how-to-1-teil.html]Tutorial von Thomas Hirt[/url] durchgelesen?

    Hast du dir mal den Quellcode im FE angeschaut? Produziert dein TS-Template gar nichts oder einfach nur nichts sichtbares?

  • pleo pleo
    T3PO
    0 x
    16 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 11:47

    [quote="typo666"]
    Also im Manual zu 2.6.3 (das allerdings absurderweise für 2.6.1 ist#angry#) kommt das Wort tsparser gar nicht vor. Woher hast du die Info? Bei mir funzt tt_products 2.6.3 ohne tsparser (auf 4.3.0). Und was ist cms?

    Also die Info steht im Extentionmanager unter tt_products und wurde auch während der installation abgefragt

    Hast du mal das 4-teilige [url=http://www.thomas-hirt.at/blog/detailansicht/datum/2009/11/09/typo3-shop-mit-tt-products-how-to-1-teil.html]Tutorial von Thomas Hirt[/url] durchgelesen?

    Nein hab ich noch nicht.

    Hast du dir mal den Quellcode im FE angeschaut? Produziert dein TS-Template gar nichts oder einfach nur nichts sichtbares?
    Ja habe ich doch in meinem Ursprungspost geschrieben:
    ...
    <div class="tt-products">
    <div id="tx-ttproducts-pi1-list">HIER SOLLTE JA NUN DIE AUSGABE ERSCHEINEN</div>
    </div>
    ...

    Vielen Dank für dein Interesse schon mal

    [/quote]

  • typo666 typo666
    T3PO
    0 x
    12 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 13:20

    Wie sieht denn dein TS-Template aus?

  • pleo pleo
    T3PO
    0 x
    16 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 13:28

    Ich habe noch nicht viel in den Konstanten, da ich ja erst mal nur eine stupide Ausgabe der Produktliste wollte nicht mehr.

    plugin.tt_products.color1 = #CCCCCC
    plugin.tt_products.editLockedLoginInfo = 1
    plugin.tt_products.loginUserInfoAddress = 0
    plugin.tt_products.orderByItemNumberSg = 1
    plugin.tt_products.defaultCategoryID = 0
    plugin.tt_products.showNotinStock = 0
    plugin.tt_products.debug = 0
    plugin.tt_products.alwaysAdvanceOrderNumber = 0
    plugin.tt_products.orderEmail_toDelivery = 0
    plugin.tt_products.displayCurrentRecord = 0
    plugin.tt_products.clickIntoBasket = 0
    plugin.tt_products.quantityIsFloat = 0
    plugin.tt_products.clickItemsIntoSubmenu = 0
    plugin.tt_products.clickIntoList = 0
    plugin.tt_products.NoSingleViewOnList = 0
    plugin.tt_products.usePageContentImage = 1
    plugin.tt_products.rootCategoryID = 1
    plugin.tt_products.rootPageID = 1
    plugin.tt_products.useArticles = 2
    plugin.tt_products.PIDstoreRoot = 11
    plugin.tt_products.pid_list = 11
    plugin.tt_products.file.templateFile = fileadmin/xxx/shop.tmpl

    Er findet das Template den Warenkorb z.B. zeigt er mit: IST leer! an ;-)
    Es scheint einfach an den Einstellungen zu liegen. Die Liste funktioniert nicht und die Singleansicht auch nicht.
    Wenn ich per Hand ...tt_products[product]=3 eingebe sagt er mir weiterhin:

    Produkte: Falscher Parameter. GET/POST var 'tt_products[product]' wurde nicht angegeben oder kein Produkt mit uid = 3 auf den erlaubten Seiten 11 gefunden.

    Ich könnte Verzweifeln. Habe das auch mit noch keiner anderen Installation und Version so geshen.

  • typo666 typo666
    T3PO
    0 x
    12 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 13:54

    Im Constants brauchst du eigentlich gar nichts, damit die Produkte angezeigt werden.

    Hast du im Setup-Teil [b]config.sys_language_uid = 1[/b]
    drin?
    Wenn ich das bei mir reinnehme, hab ich genau das gleiche Problem (Den gleichen FE-Quellcode) wie du.

    [quote="pleo"]
    Die Liste funktioniert nicht und die Singleansicht auch nicht.
    Wenn ich per Hand ...tt_products[product]=3 eingebe sagt er mir weiterhin:
    [/quote]
    Du hast gar nicht geschrieben, dass du auch ein Plug-In für die Detailansicht angelegt hast.

    [quote="pleo"]
    Produkte: Falscher Parameter. GET/POST var 'tt_products[product]' wurde nicht angegeben oder kein Produkt mit uid = 3 auf den erlaubten Seiten 11 gefunden.
    [/quote]
    Ja, das ist vermutlich ein irgendwo ein Durcheinander bei den PID-Angaben.

    [quote="pleo"]
    Habe auf einer Seite ein Produkt (und zur Sicherheit auch eine Kategorie) angelegt.
    Auf der Seite mit dem Beispiel Produkt (und der Kategorie) ein Plugin mit LIST-View angelegt.
    Als Ausgangspunktdiese diese Seite angegeben.
    [/quote]
    Obwohl möglich, ist dir sicher bewusst, dass es nicht besonders sinnvoll ist, alles auf eine Seite zu tun.
    1 Sys-Folder für Produkte
    1 Sys-Folder für Kategorien
    1 Seite für Produktliste
    1 Seite für Detailansicht
    1 Seite für Warenkorb
    Dann ist es auch viel einfacher Fehler zu finden.

    [quote="pleo"]
    plugin.tt_products.useArticles = 2
    [/quote]
    Für was hast du das drin? Du hast doch gar keine Artikel?

  • pleo pleo
    T3PO
    0 x
    16 Beiträge
    0 Hilfreiche Beiträge
    13. 10. 2010, 14:09

    Ich werde bescheuert!!!!

    ich hatte aus einer anderen Installation von mir:
    config.sys_language_uid = 4
    drin!!!!
    hab es auf 0 geändert und es klappt!
    DANKE!

  • 1